package shrty

import (
	"fmt"
	"net/http"
)


func CheckURL(d *Data) error {
	resp, err := http.Get(d.URL)
	if err != nil {
		fmt.Println(err)
	}
	defer resp.Body.Close()


	d.HTTPStatusCode = fmt.Sprint(resp.StatusCode)
	d.URLFetched = fmt.Sprint(resp.Request.URL)
	d.OriginalURL = fmt.Sprint(resp.Request.URL)
	d.Domain = resp.Request.URL.Host

	return err
}
